Bug 1854736 - "100% of the job ovnkube-node /ovn-kubernetes-node targets in namespace openshift-ovn-kubernetes are down" in 4.5.ci installs
Summary: "100% of the job ovnkube-node /ovn-kubernetes-node targets in namespace opens...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.5.z
Assignee: Surya Seetharaman
QA Contact: Ross Brattain
URL:
Whiteboard:
: 1851930 (view as bug list)
Depends On: 1851928
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-08 06:55 UTC by OpenShift BugZilla Robot
Modified: 2020-07-17 09:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-16 16:12:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 697 None closed [release-4.5] Bug 1854736: [metrics] TargetDown alert is always fired in ovnkube-node job 2020-09-04 02:38:18 UTC
Red Hat Product Errata RHBA-2020:2909 None None None 2020-07-16 16:12:45 UTC

Comment 3 Anurag saxena 2020-07-14 12:23:42 UTC
@rbrattai, Could you help verifying this? Seems like the fix landed in 4.5.0-0.nightly-2020-07-13-205047.
Thanks!

Comment 4 Ross Brattain 2020-07-14 19:34:05 UTC
Verified on 4.5.0-0.nightly-2020-07-14-052310

$ oc get pods -o yaml -l app=ovnkube-node | grep --color=auto inactivity-probe
          --inactivity-probe="${OVN_CONTROLLER_INACTIVITY_PROBE}" \
          --inactivity-probe="${OVN_CONTROLLER_INACTIVITY_PROBE}" \
          --inactivity-probe="${OVN_CONTROLLER_INACTIVITY_PROBE}" \
          --inactivity-probe="${OVN_CONTROLLER_INACTIVITY_PROBE}" \
          --inactivity-probe="${OVN_CONTROLLER_INACTIVITY_PROBE}" \
          --inactivity-probe="${OVN_CONTROLLER_INACTIVITY_PROBE}" \

Comment 6 errata-xmlrpc 2020-07-16 16:12:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2909

Comment 7 Surya Seetharaman 2020-07-17 09:31:01 UTC
*** Bug 1851930 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.